# Django settings for sommitrealweird project.

# Rather than editing these here, add them to the localsettings.py file which
# will be included at the end of the run

import os

topdir = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))

ADMINS = (
    ('Brett Parker', 'iDunno@sommitrealweird.co.uk'),
)

MANAGERS = ADMINS

DATABASE_ENGINE = 'sqlite3'
DATABASE_NAME = os.path.join(topdir, 'sommitrealweird.db')
DATABASE_USER = ''
DATABASE_PASSWORD = ''
DATABASE_HOST = ''
DATABASE_PORT = ''

TIME_ZONE = 'Europe/London'

LANGUAGE_CODE = 'en-gb'

SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

MEDIA_ROOT = os.path.join(topdir, 'media') + os.sep
MEDIA_URL = '/media/'

ADMIN_MEDIA_PREFIX = '/admin-media/'

import random
import string
key_chars = "%s%s%s" % (string.letters, string.digits, '+-()_#~')
SECRET_KEY = [random.choice(key_chars) for a in range(0,50)]

CACHE_BACKEND = 'file://%s/tmp' %(topdir)

TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.doc.XViewMiddleware',
)

ROOT_URLCONF = 'urls'

TEMPLATE_DIRS = (
    os.path.join(topdir, 'templates'),
)

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'django.contrib.markup',
    'bpcms',
    'generic',
    'blog',
)

TEMPLATE_CONTEXT_PROCESSORS = (
    'django.core.context_processors.auth',
    'django.core.context_processors.debug',
    'django.core.context_processors.i18n',
    'generic.context_processors.media',
    'bpcms.context_processors.content_menu',
    'bpcms.context_processors.content_submenu',
    'bpcms.context_processors.content_breadcrumb',
    'blog.context_processors.content_breadcrumb',
)

APPEND_SLASH=False

RESTRUCTUREDTEXT_FILTER_SETTINGS = {
    'initial_header_level': 2,
}

BPCMS_ROOT = '/'
BPCMS_DISALLOWED_ROOT_DOC_NAMES = (
    'admin',
    'blog',
    'photos',
)

BLOG_ROOT = '/blog/'
BLOG_TITLE = u'The World of SommitRealWeird.'

try:
    from localsettings import *
except:
    pass

